Skip to main content
PATCH
/
v1
/
orgs
/
{org_id}
/
notifications
/
{id}
Update a notification
curl --request PATCH \
  --url https://api.arklow.io/v1/orgs/{org_id}/notifications/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-arklow-auth: <api-key>' \
  --data '
{
  "variant": "general",
  "body": {
    "content_type": "markdown",
    "content": "<string>"
  },
  "type": "internal",
  "acknowledged": true,
  "deleted_at": "2023-11-07T05:31:56Z"
}
'
{
  "data": {
    "id": "<string>",
    "type": "internal",
    "org_id": "<string>",
    "acknowledged": true,
    "updated_at": "2023-11-07T05:31:56Z",
    "variant": "general",
    "body": {
      "content_type": "markdown",
      "content": "<string>"
    },
    "deleted_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$
id
string
required
Pattern: ^[0-9]+$

Body

application/json
variant
enum<string>
Available options:
general
body
object
type
Available options:
internal
acknowledged
boolean
deleted_at
null | string<date-time>

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required